package com.ytpm.service;

import com.ytpm.agent.model.YtDitch;
import com.ytpm.agent.param.DitchListParam;
import com.ytpm.agent.view.AgentDitchView;
import com.ytpm.agent.view.AgentUserInfo;
import com.ytpm.general.Result;
import com.ytpm.general.ResultTable;

/**
 * 渠道类型service
 */
public interface AgentDitchService {
    /**
     * 获取渠道类型列表
     */
    ResultTable<AgentDitchView> ditchList(DitchListParam param);

    /**
     * 新增
     * @param param
     * @return
     */
    Result<?> addOne(YtDitch param);

    /**
     * 修改
     * @param param
     * @return
     */
    Result<?> updateOne(YtDitch param);

    /**
     * 假删除
     * @param ditchId
     * @return
     */
    Result<?> deleteOne(Long ditchId);
}
